package deviceManagement

import (
	"tgk-touch/internal/library/m9z"
)

type (
	TgkMain struct {
		Name              string `json:"name" xorm:"comment('主控器名称')"  `
		RtuId             int64  `json:"rtuId" xorm:"comment('终端ID')"  `
		OpenLoopCount     int    `json:"openLoopCount" xorm:"comment('开启回路数')"`
		Mode              int    `json:"mode" xorm:"comment('1~2自动模式, -1 手动模式')"`
		UpgradeProgress   uint32 `json:"upgrade_progress" xorm:"comment('升级进度地址')"`
		UpgradeStatus     int    `json:"upgrade_status" xorm:"comment('升级进度 0 未完成 1完成')"`
		UpgradeFirmwareId string `json:"upgrade_firmware_id" xorm:"comment('固件包升级id')"`
		FirmwareVersion   string `json:"firmware_version" xorm:"comment('固件版本')"`

		BleEnable     bool       `json:"ble_enable" xorm:"comment('是否启用蓝牙超时')"`
		BleOfflineMin uint8      `json:"ble_offline_min" xorm:"comment('蓝牙超时时间')"`
		BleName       string     `json:"ble_name" xorm:"comment('蓝牙名称')"`
		Temperature   float64    `json:"temperature" xorm:"comment('温度')"`
		Loops         []*TgkLoop `json:"loops" xorm:"json"`
	}
	TgkLoop struct {
		m9z.Loop
		V  float32 `json:"v"`
		A  float32 `json:"a"`
		Kw float32 `json:"kw"`
	}
)
